Download it now!
Bug 40014 - [UI] Create a keyboard shortcut for "Page Preview"
Summary: [UI] Create a keyboard shortcut for "Page Preview"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Linux (All)
: medium enhancement
Assignee: abdulmajeed
URL:
Whiteboard: target:3.7.0
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-11 07:16 UTC by Nick
Modified: 2012-10-25 14:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Bug patch (3.36 KB, patch)
2012-09-08 11:24 UTC, abdulmajeed
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nick 2011-08-11 07:16:26 UTC
I'd like to see a keyboard shortcut created for the Page Preview function. It's frustrating to have to always switch to the mouse in order to activate Page Preview.

Perhaps Ctrl + Shift + P would be a good choice for a Page Preview shortcut?
Comment 1 Cor Nouws 2011-08-15 15:22:50 UTC
I like the Ctrl-Shft-P idea ;-)
In the mean time, I use Alt-B-F (in Dutch) or ALt-F-G (in English UI)

You know you can set the shortcut yourself in Tools> Customize?
Comment 2 Nick 2011-08-21 05:55:39 UTC
Thank you for pointing out these shortcuts. I did not know about them. Sorry for the bug report :D
Comment 3 Cor Nouws 2011-08-21 08:40:06 UTC
Thanks Nick, but we can leave this open as request, as long as no one proves it is not good ;-)
Comment 4 baris 2012-02-01 10:47:01 UTC
How can i find the related code? I want to work on this feature.
Comment 5 Cor Nouws 2012-02-01 12:20:41 UTC
(In reply to comment #4)
> How can i find the related code? I want to work on this feature.

Hi Baris. 
That is great :-)
I guess you know this page :  http://wiki.documentfoundation.org/Development
There is a link to a page with code overview.
And you can use http://opengrok.libreoffice.org/ to search in the code...
Very helpful can be a mial to the dev-list. People will be glad to help you.
Cor
Comment 6 abdulmajeed 2012-09-05 12:31:20 UTC
i will try to fix it 
since the CTRL +SHIFT + P used

i think i will put it CTRL+ALT+P
Comment 7 abdulmajeed 2012-09-08 11:24:15 UTC
Created attachment 66841 [details]
Bug patch

I have chosen the letter O  because it's next to  P  :)
Comment 8 Not Assigned 2012-09-14 08:42:39 UTC
Abdulmajeed Al-Abaulrazzaq committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=73c6ec2e66c1402367a575c68c7c356654a74bff

fdo#40014 Add new shortcut for page preview CTRL + SHIFT + O



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Caolán McNamara 2012-10-25 14:44:03 UTC
this got fixed, so setting as resolved